com.smartgwt.client.types

## Enum Alignment

- java.lang.Object
- - java.lang.Enum<Alignment>
  - - com.smartgwt.client.types.Alignment

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<Alignment>

      public enum Alignment
      extends java.lang.Enum<Alignment>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER` Center within container.
    `LEFT` Stick to left side of container.
    `RIGHT` Stick to right side of container.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static Alignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Alignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CENTER

          public static final Alignment CENTER

      Center within container.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "center".

    - #### LEFT

          public static final Alignment LEFT

      Stick to left side of container.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "left".

    - #### RIGHT

          public static final Alignment RIGHT

      Stick to right side of container.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "right".

  - ### Method Detail

    - #### values

          public static Alignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Alignment c : Alignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Alignment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`